BASE DE DADOS DE CONHECIMENTO

Erro ""Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software" Instalação no macOS Catalina 10.15


Publicado: 21 Aug 2019
Data da última modificação: 31 Oct 2019

Problemas

Ao instalar qualquer produto Tableau no macOS Catalina 10.15, ocorre um erro semelhante ao seguinte:
"Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software. This software needs to be updated. Entre em contato com o desenvolvedor para obter mais informações." (O "Tableau Desktop.pkg" não pode ser aberto porque a Apple não pode verificar se há software mal-intencionado. Esse software precisa ser atualizado. Entre em contato com o desenvolvedor para obter mais informações)
Imagem adicionada por usuário

Ambiente

  • macOS Catalina 10.15
  • Tableau Desktop 2019.2.1, 2019.1.5, 2018.3.8, 2018.2.11, 2018.1.14, 10.5.17, 10.4.18, 10.3.22, 10.2.22 e versões posteriores
  • Tableau Prep Builder 2019.2.2 e versões posteriores
  • Versões do Tableau Reader e Tableau Public liberadas após 1º de junho de 2019

Resolução

Opção 1: Como usuário com direitos de administrador, permita a execução da permissão do software.

  1.  Tente instalar o produto Tableau desejado
  2. Clique em OK para ignorar o erro.
  3. Navegue até a guia Preferências do sistema > Segurança e privacidade > Geral.
  4. Na parte inferior da caixa de diálogo, você verá uma mensagem semelhante à seguinte:
     "Tableau Desktop.pkg" foi bloqueado para uso porque não é de um desenvolvedor identificado.
  5. Clique no botão Abrir assim mesmo. (Se o botão Abrir assim mesmo não for exibido, clique em OK na caixa de diálogo da etapa 2.)
    Imagem adicionada por usuário
  6. O instalador será iniciado novamente e exibirá a mesma mensagem de aviso de antes.
    Agora, haverá um botão Abrir e um botão Cancelar.
  7. Clique em Abrir e a instalação prosseguirá.
Imagem adicionada por usuário

Opção 2.  Instale uma versão anterior a junho de 2019

Como solução alternativa, as versões do software Tableau enviadas antes de 1º de junho de 2019 ainda podem ser instaladas no macOS Catalina.Isso inclui as seguintes versões de manutenção:

Tableau Desktop: 2019.2.0, 2019.1.4, 2018.3.7, 2018.2.10, 2018.1.13. 10.5.16, 10.4.17, 10.3.21
Tableau Prep: 2019.2.1 e versões anteriores
Tableau Reader: Tableau Reader 2019.2.0 
Tableau Desktop Public: Tableau Public Desktop 2019.2.0 

Instale uma destas versões, em seguida, use Ajuda > Verificar atualizações de produto para instalar a versão de manutenção mais recente disponível para a versão. Para obter mais informações e acessar versões mais antigas de manutenção dos produtos Tableau, consulte Downloads de produtos e Notas de versão.

Causa

Este comportamento está relacionado a um problema conhecido com ID 946418, já sob análise.
A Apple aumentou os requisitos de segurança para instalação de software no macOS Catalina 10.15.

 

Informações adicionais

 Erro: "The My Tableau Prep repository is either read only or can't be found" (O repositório Meu Tableau Prep Builder é somente leitura ou não pode ser encontrado) no Mac
Erro "custactutil can't be opened because its integrity cannot be verified" (custactutil não foi aberto porque a integridade não pode ser verificada) no macOS Catalina 10.15


Versões mais recentes dos produtos Tableau funcionarão no macOS Catalina, se forem instalados antes de o Mac ser atualizado para o Catalina. 

Novidades sobre o desenvolvedor da Apple



Discuta este artigo... Fórum de comentários
Este artigo resolveu o problema?